aboutsummaryrefslogtreecommitdiff
path: root/projects/libreboot-sources
diff options
context:
space:
mode:
Diffstat (limited to 'projects/libreboot-sources')
-rwxr-xr-xprojects/libreboot-sources/install/libreboot-sources14
-rwxr-xr-xprojects/libreboot-sources/libreboot-sources6
2 files changed, 10 insertions, 10 deletions
diff --git a/projects/libreboot-sources/install/libreboot-sources b/projects/libreboot-sources/install/libreboot-sources
index d836054d..162aef32 100755
--- a/projects/libreboot-sources/install/libreboot-sources
+++ b/projects/libreboot-sources/install/libreboot-sources
@@ -21,12 +21,12 @@ SOURCES="sources"
ARCHIVE="tar.xz"
usage() {
- printf '%s\n' "$executable [action] [sources path] (extract path)" >&2
+ printf 1>&2 '%s\n' "$executable [action] [sources path] (extract path)"
- printf '\n%s\n' 'Actions:' >&2
- printf '%s\n' ' extract - Extract build system sources' >&2
- printf '%s\n' ' copy - Copy projects sources' >&2
- printf '%s\n' ' prepare - Extract and copy sources' >&2
+ printf 1>&2 '\n%s\n' 'Actions:'
+ printf 1>&2 '%s\n' ' extract - Extract build system sources'
+ printf 1>&2 '%s\n' ' copy - Copy projects sources'
+ printf 1>&2 '%s\n' ' prepare - Extract and copy sources'
printf '\n%s\n' ' When no extract path is provided, sources are extracted in the current'
printf '%s\n' ' directory.'
@@ -49,7 +49,7 @@ extract() {
archive=$( find $sources_path -name "$BUILD_SYSTEM-sources.$ARCHIVE" || true )
if [ -z "$archive" ]
then
- printf '%s\n' "Finding $BUILD_SYSTEM sources archive failed!" >&2
+ printf 1>&2 '%s\n' "Finding $BUILD_SYSTEM sources archive failed!"
usage
exit 1
fi
@@ -96,7 +96,7 @@ requirements() {
if [ -z "$requirement_path" ]
then
- printf '%s\n' "Missing requirement: $requirement" >&2
+ printf 1>&2 '%s\n' "Missing requirement: $requirement"
exit 1
fi
done
diff --git a/projects/libreboot-sources/libreboot-sources b/projects/libreboot-sources/libreboot-sources
index 3dc1cb7d..bbf42315 100755
--- a/projects/libreboot-sources/libreboot-sources
+++ b/projects/libreboot-sources/libreboot-sources
@@ -23,7 +23,7 @@ update() {
}
install() {
- local install_path=$( project_install_path "$project" "$@" )
+ local install_path=$(project_install_path "$project" "$@")
project_install "$project" "$@"
}
@@ -33,7 +33,7 @@ install_check() {
}
release() {
- local archive_path=$( project_release_archive_path "$project" "$SOURCES" "$@" )
+ local archive_path=$(project_release_archive_path "$project" "$SOURCES" "$@")
local sources_path=$root
project_release_install "$project" "$TOOLS" "$@"
@@ -51,7 +51,7 @@ release() {
}
release_check() {
- local archive_path=$( project_release_archive_path "$project" "$SOURCES" "$@" )
+ local archive_path=$(project_release_archive_path "$project" "$SOURCES" "$@")
project_release_install_check "$project" "$TOOLS" "$@"